<?php if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
} ?>
<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
<?php
	if ( is_search() || ! is_singular() && 'summary' === get_theme_mod( 'blog_content', 'full' ) ) {
			the_excerpt();
		} else {
			the_content(
				sprintf(
							wp_kses(
										/* translators: %s: Name of current post. Only visible to screen readers */
										__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'codemaster' ),
											array(
												'span' => array(
													'class' => array(),
												),
											)
										),
								wp_kses_post( get_the_title() )
							)
						);
															
													
			}
?>
</article><!-- .post -->
